<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>

<script type="text/javascript" src="/js/video-modal.js"></script>

<script type="text/javascript" src="/js/password-meter.js"></script>
<script type="text/javascript" src="/js/autocompleter/Observer.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.Request.js"></script>
<script type="text/javascript" src="/js/fancyupload/Swiff.Uploader.js"></script>
<script type="text/javascript" src="/js/fancyupload/Fx.ProgressBar.js"></script>
<script type="text/javascript" src="/js/fancyupload/FancyUpload2.js"></script>
<script type="text/javascript" src="/js/escort-rates.js"></script>
<script type="text/javascript" src="/js/cubix-selectbox.js"></script>
<script type="text/javascript" src="/js/cubix-uploader-v1.0.source.js"></script>
<script type="text/javascript" src="/js/escort-photos.js?v=2"></script>
<script type="text/javascript" src="/js/tiny_mce/tiny_mce.js"></script>

<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>
<script type="text/javascript" src="/js/moo-uploader.js"></script>
<script type="text/javascript" src="/js/highslide.packed.js"></script>

<?php echo $this->headLink()->prependStylesheet($this->baseUrl() . '/css/highslide.css')
							->prependStylesheet($this->baseUrl() . '/css/moo-uploader/style.css') 
							->prependStylesheet($this->baseUrl() . '/css/video-modal.css') ?>

<script type="text/javascript">
function getRandomInt(min, max) {
  min = Math.ceil(min);
  max = Math.floor(max);
  return Math.floor(Math.random() * (max - min)) + min; //The maximum is exclusive and the minimum is inclusive
}

Cubix.ready = function () {
	new Cubix.Shadow($('content'));
	var getFilterParams = function () {
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};
        
       
	
	/* ----------------------- EDIT ---------------------- */
        var removePhoto = function(it) {
		var req = new Request.JSON({
			method: 'get',
			url: '/wiki/ajax-remove-photo?image_id=' + it.get('rel'),
			onComplete: function(resp) {
				if ( resp.status == 'success' ) {
					it.getParent('div').destroy();
				} else {

				}
			}
		}).send();
	};
        
        var mooObject = null;
        
         var remPhotos = function() {
            var ids = [],
                sel_imgs = $$('[id^="wiki-photo-"]:checked');
        
            for( var k = 0; k < sel_imgs.length; k += 1 ){
                ids.push( sel_imgs[k].value );
            }
            
            if( !ids.length ) return false;
            
            var req = new Request.JSON({
                method: 'post',
                url: '/wiki/ajax-remove-photo',
                data: { ids: JSON.encode(ids) },
                onComplete: function(resp) {
                    
                    if( resp.status === "success" ){
                        for( var g = 0; g < ids.length; g += 1 ){
                           var _elm = $$('[id="wiki-photo-' + ids[g] + '"]').getParent('li');
                           
//                           _elm.fade('out');
                           _elm.destroy();
                           if( mooObject ){
                               mooObject.fireEvent('onAddFiles');
                           }
                            //MooUpload.fireEvent('onAddFiles');
                        }
                    } else if( resp.status === "error" ){
                        
                    } else return false;
                    /*var chks = container.getElement('.photos');

                                var result = {ids: [], els: $$()};

                                chks.getElements('input[type=checkbox]').each(function (chk) {
                                        if ( chk.get('checked') ) {
                                                result.ids.include(chk.get('value'));
                                                result.els.include(chk.getParent('li'));
                                        }

                        if ( resp.status == 'success' ) {
                                it.getParent('div').destroy();
                        } else {

                        }
                    });*/
                }
            }).send();
        };
        
	<? $this->user = Zend_Auth::getInstance()->getIdentity(); ?>    
  
        
            
	var popup = new Cubix.Popup.Ajax({
		abar: [
                        <? if (in_array(Cubix_Application::getId(), array(APP_EF,APP_EG_CO_UK,APP_BL,APP_ED)) && ($this->user->type == 'superadmin' || $this->user->type == 'admin')): ?>
                        { caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
                        <? endif; ?>
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 700
	});
        
       
		
	popup.addEvent('loaded', function () {
                var ebat = getRandomInt(1, 100000);
                
		new mootabs('value-tabs', { width: null, height: 'auto' });
                
                var container = this.content;
		uploader = new MooUpload(this.content.getElement('#filecontrol'), {
				action: '/wiki/upload-html5?ebat=' + ebat, // Server side upload script
				method: 'html5',  // Use only HTML5 method		
				blocksize: 999999999,	// Load per one chunk
				multiple: false,
//				onAddFiles: function() {
//					var escortId = container.getElement('#euro-escort-id').get('value');
//					uploader.options.action = '/lotteries/euro-lottery/upload-html5?escort_id=' + escortId ;
//				},
				onFinishUpload: function() {},
                                maxfiles: 5,  
                                
                                onAddFiles: function() {
                                   this.options.texts.maxselect = 'The limit of photos is 5. You can\'t upload anymore.';
                                },
				onFileUpload: function(fileindex, resp){
					if ( ! resp.error && resp.finish ) {

						var box = container.getElement('.ad-photos');

						var div = new Element('div').inject(box, 'bottom');
						var img = new Element('img', {
							'src' : resp.photo_url,
							'width' : 117,
							'height' : 97
						}).inject(div);

						var rem = new Element('a', {
							'href' : '#',
							'rel' : resp.id
						}).inject(div);

						rem.addEvent('click', function(e){
							e.stop();

							removePhoto(this);
						});

					} else if ( resp.error ) {
						if ( ! $$('#filecontrol_listView ul.errors').length ) {
							new Element('ul', {
								'class' : 'errors'
							}).inject($('filecontrol_listView'));
						}


						var li = new Element('li', {});

						li.inject($$('#filecontrol_listView ul.errors')[0]);

						new Element('span', {
							'html' : resp.name + ' - '
						}).inject(li);
						new Element('span', {
							'class' : 'mooupload_error',
							'html' : resp.msg
						}).inject(li);				
					}

					window.fireEvent('resize');
				}
			});
                
	});
	
        
        
   <? if (in_array(Cubix_Application::getId(), array(APP_EF,APP_EG_CO_UK,APP_BL,APP_ED)) && ($this->user->type == 'superadmin' || $this->user->type == 'admin')): ?>
	 var popupEdit = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close },
                        { caption: 'Remove', icon: 'cancel', action: remPhotos }
		],
		width: 700
	});
        
		
	popupEdit.addEvent('loaded', function () {
                var max_files_global = 5;
        
		new mootabs('value-tabs-edit', { width: null, height: 'auto' });
                    var container = this.content;
                    hs.graphicsDir = '/css/graphics/';
                    <!--new mootabs('photo-tabs', { width: null, height: 'auto' });-->
                    var ebat = getRandomInt(1, 100000);
                    
                    var count = $$(".photos-public").getElements('li')[0].length;
                     
                    if(count > 0 ) {
                        $('Public').setStyle('display', 'block');
                        $('photo-tabs').setStyle('display', 'block');
                         };
		uploader = new MooUpload(container.getElement('#filecontrol-edit'), {
			action: '/wiki/upload-html5?ebat=' + ebat, // Server side upload script
			method: 'html5',		// Use only HTML5 method		
			blocksize: 999999999,	// Load per one chunk
			multiple: false,
			maxfiles: max_files_global-count,
//			onAddFiles: function() {
//				uploader.options.action = '/wiki/upload-html5?replace=1&req_id='+ popup.request_id +'&escort_id='+ popup.escort_id ;
//			},
                        onAddFiles: function() {
                            count = $$(".photos-public").getElements('li')[0].length;
                            mooObject = this;
                            this.options.texts.maxselect = 'The limit of photos is 5. You can\'t upload anymore.';
                            this.options.maxfiles = max_files_global - count;
                        },
			onFinishUpload: function() {},
			onFileUpload: function(fileindex, resp){
				if ( ! resp.error && resp.finish ) {
                                  var box = container.getElement('.ad-photos');

						var div = new Element('div', {
                                                    styles : {
                                                        position: 'relative',
                                                        float: 'left',
                                                        margin: '0 2px'
                                                       
                                                        
                                                    }
                                                }).inject(box, 'bottom');
						var img = new Element('img', {
							'src' : resp.photo_url,
							'width' : 117,
							'height' : 97
						}).inject(div);

						var rem = new Element('a', {
							'href' : '#',
							'rel' : resp.id
						}).inject(div);

						rem.addEvent('click', function(e){
							e.stop();

							removePhoto(this);
						});
                                   
                                   

//					var box = container.getElement('.idcard-photo');
//					box.getElement('a').set('href',resp.photo_url_orig + '?origano=true&' + Number.random(1,100000));
//					box.getElement('img').set('src',resp.photo_url + '?' + Number.random(1,100000));-->

				} else if ( resp.error ) {
					if ( ! $$('#filecontrol_listView ul.errors').length ) {
						new Element('ul', {
							'class' : 'errors'
						}).inject($('filecontrol_listView'));
					}


					var li = new Element('li', {});

					li.inject($$('#filecontrol_listView ul.errors')[0]);

					new Element('span', {
						'html' : resp.name + ' - '
					}).inject(li);
					new Element('span', {
						'class' : 'mooupload_error',
						'html' : resp.msg
					}).inject(li);				
				}

				window.fireEvent('resize');
			}
		});
	});
        
    <? endif; ?>    
        
        var photos_popup = new Cubix.Popup.Ajax({
		width: 896,
		zIndex: function () { return Cubix.Popup.zIndex + 14 }
	});

	window.PhotosPopup = photos_popup;

	photos_popup.addEvent('loaded', function () { new Escort.Photos(photos_popup); });
	
    <? if ($this->user->type !== 'superadmin' || $this->user->type !== 'admin'): ?>
	
	var popupView = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 700
	});
		
	popupView.addEvent('loaded', function () {
		new mootabs('value-tabs-view', { width: null, height: 'auto' });
                    hs.graphicsDir = '/css/graphics/';
                    var count = $$(".photos-public").getElements('li')[0].length;
                     
                    if(count === 0 ) {
                        $('Public').setStyle('display', 'none');
                        $('photo-tabs').setStyle('display', 'none');
                         };
	});	
	
    <? endif; ?>
	/* ----------------------- END  EDIT ---------------------- */
        
	
	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: 'Title', field: 'title', type: 'string', sortable: true },
			{ title: 'Question <img src="/img/flags/en.png" />', field: 'question_en', type: 'string', sortable: true },
			{ title: 'Type', field: 'type', type: 'WikiType', sortable: true }
		],
		sort: {
			field: 'id',
			dir: 'asc'
		},
		<? if (in_array(Cubix_Application::getId(), array(APP_EF,APP_EG_CO_UK,APP_BL,APP_ED)) && ($this->user->type == 'superadmin')): ?>
		actions: [ { type: 'remove', func: function (data) {
			if ( confirm('Are you sure you want to delete this row?') ) {
				this.overlay.disable();
				new Request({
					url: '/wiki/remove?id=' + data.id,
					onSuccess: function (resp) {
						this.overlay.enable();
						grid.load();
					}.bind(this)
				}).send();
			}
		} }, { type: 'edit', func: function (data) {
			popupEdit.setTitle('Edit');
			popupEdit.load('/wiki/edit?id=' + data.id, function () {
				this.open();
			});
		
		} } ],
		<? else: ?>
		actions: [ { type: 'view', func: function (data) {
			popupView.setTitle('View Wiki');
			popupView.load('/wiki/view?id=' + data.id, function () {
				this.open();
			});
		} } ],
		<? endif; ?>
		data: new Cubix.Grid.Loader({ url: '/wiki/data', params: getFilterParams })
	});
	
	grid.addEvent('loaded', function () {
		
	});
	<? if (in_array(Cubix_Application::getId(), array(APP_EF,APP_EG_CO_UK,APP_BL,APP_ED)) && ($this->user->type == 'superadmin' || $this->user->type == 'admin')): ?>
	new Cubix.Button($('btn-create'), { onClick: function () {
		popup.setTitle('Add'),
		popup.load('<?= $this->baseUrl() ?>wiki/create', popup.open);
	}, icon: 'add', caption: 'Add' });
	
	<? endif; ?>

	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
				else {
					input.addEvent('change', function(){
						grid.load();
					});
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(it) {
			if ( it.get('name') != 'filter_by' && it.get('name') != 'dates_defined' ) {
				it.addEvent('change', function(){
					grid.load();
				});
			}
		});
	};

	initFormSubmit();

};
</script>

<style type="text/css">
	#faq_types input.checkbox { display: block; float: left }
	#faq_types label { float: left }
	#types { margin-bottom: 10px; }
</style>

<div class="form-common gray c-filter-form">
	<form>
		<fieldset class="inner mb10">
                       
			<div class="inner">
				<label for="title">Title</label>
				<input id="title" type="text" class="txt w18" name="title" value="" />
			</div>
                         

			<div class="inner">
				<label for="question">Question</label>
				<input id="question" type="text" class="txt w18" name="question" value="" />
			</div>

			<div class="inner">
				<label for="answer">Answer</label>
				<input id="answer" type="text" class="txt w18" name="answer" value="" />
			</div>
                     
			<div class="inner">
				<label for="type">Type</label>
				<select name="type" id="type">
					<option value="">--- Any ---</option>
					<option value="<?= Model_System_Faq::FAQ_TYPE_ADMIN ?>"><?= Model_System_Faq::FAQ_TYPE_ADMIN ?></option>
					<option value="<?= Model_System_Faq::FAQ_TYPE_SALES ?>"><?= Model_System_Faq::FAQ_TYPE_SALES ?></option>
				</select>
			</div>
			
			<div class="clear"></div>
		</fieldset>
		
		<div class="clear"></div>
		
		<a id="btn-refresh"></a>
                
                <div class="clear"></div>
               
                    
		
	</form>
</div><!-- form-common -->
<div class="mt10">
	<a id="btn-create"></a>
	<div class="clear"></div>
</div>

<style type="text/css">
    #faq_types input.checkbox { display: block; float: left }
    #faq_types label { float: left }
    #types { margin-bottom: 10px; }

    #legend { margin:20px 0 10px 0; border: 1px solid #ccc; width:440px; padding:10px }

    #legend .color-non-pinned { height: 20px; width:20px; background-color: #FFFFFF; float:left; border: 1px solid #ccc }
    #legend .color-pinned { height: 20px; width:20px; background-color: #EFFFEF; float:left; border: 1px solid #ccc }

    #legend .text { float:left; margin:3px 10px 0 3px }
</style>

<div id="legend">
    <div class="color-pinned"></div>
    <p class="text"> - Important </p>

    <div class="clear"></div>
</div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
